Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumAcceptabilityId

- java.lang.Object
- - java.lang.Enum<EnumAcceptabilityId>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumAcceptabilityId

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumAcceptabilityId>`

      public enum EnumAcceptabilityId
      extends java.lang.Enum<EnumAcceptabilityId>
      implements java.io.Serializable

  If acceptability is,
  ACCEPTABLE - refers to SNOMED CT Concept id for acceptable
  PREFERRED - refers to SNOMED CT Concept id for preferred

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACCEPTABLE` |
    `PREFERRED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumAcceptabilityId` | `getEnum​(java.lang.String val)` | Returns enumeration for given string value.
    `java.lang.String` | `getValue()` | Returns the value associated with enumeration.
    `void` | `setValue​(java.lang.String value)` | Sets value for enumeration.
    `static EnumAcceptabilityId` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumAcceptabilityId[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCEPTABLE

          public static final EnumAcceptabilityId ACCEPTABLE

    - #### PREFERRED

          public static final EnumAcceptabilityId PREFERRED

  - ### Method Detail

    - #### values

          public static EnumAcceptabilityId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumAcceptabilityId c : EnumAcceptabilityId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumAcceptabilityId valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the value associated with enumeration.
      Returns:
        `String` value for enumeration.

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets value for enumeration.
      Parameters:
        `value` - `String` value to be set.

    - #### getEnum

          public static EnumAcceptabilityId getEnum​(java.lang.String val)

      Returns enumeration for given string value.
      Parameters:
        `val` - `String` value for which enumeration is to be retrieve.
      Returns:
        `EnumAcceptabilityId` enumeration for given string value